commit:     99e9da962b253047dcc737ab23bd65195ce4b916
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 25 10:05:26 2018 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Tue Dec 25 10:11:50 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99e9da96

dev-util/cscope: Version bump.

Bump EAPI to 7. Drop patch for Darwin which has been taken account of
(differently) upstream.

Reported-by: cineto <humberto.nanni <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/10677
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 dev-util/cscope/Manifest           |  1 +
 dev-util/cscope/cscope-15.9.ebuild | 68 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/dev-util/cscope/Manifest b/dev-util/cscope/Manifest
index 909589c9b2c..7f460cd88c2 100644
--- a/dev-util/cscope/Manifest
+++ b/dev-util/cscope/Manifest
@@ -1 +1,2 @@
 DIST cscope-15.8a.tar.gz 601232 BLAKE2B 
8c67311059a055af775ba3d42942a557b54c0214751d8756e6a5c19a7a271824004e72c533614015ddcb0ffa4c768f99eb736d441dc8467c5be4824cebf5c15e
 SHA512 
bedba69820eca86420f6c975d1f267de67a457b182a3fe49720a2ae5ea48759c5b5b8db06ed5ffd85173ddf4a0f12ca722e87200dea4a2da7d43c8c711b00318
+DIST cscope-15.9.tar.gz 613948 BLAKE2B 
66c0c85d0db810e8cd5a286925eeb1026fa4a9e9c3a5a9decd1412188fca43f831949c231acca428b5eeb476662b7ce9f81defcda81759c18027655535b855be
 SHA512 
f3b95da5eb5c036cd39215785990c7cce7ce7b8eda4b18e60792e70d01ffb63809ce32ace310a9aefd88e6761c1609039ccfab0e8e49f81730bc1630babbcb80

diff --git a/dev-util/cscope/cscope-15.9.ebuild 
b/dev-util/cscope/cscope-15.9.ebuild
new file mode 100644
index 00000000000..11df491afd6
--- /dev/null
+++ b/dev-util/cscope/cscope-15.9.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools elisp-common toolchain-funcs
+
+DESCRIPTION="Interactively examine a C program"
+HOMEPAGE="http://cscope.sourceforge.net/";
+SRC_URI="mirror://sourceforge/cscope/${P}.tar.gz"
+
+LICENSE="BSD GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="emacs"
+
+RDEPEND=">=sys-libs/ncurses-5.2:0=
+       emacs? ( virtual/emacs )"
+DEPEND="${RDEPEND}"
+BDEPEND="sys-devel/flex
+       virtual/pkgconfig
+       virtual/yacc"
+
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+       eapply "${FILESDIR}/${PN}-15.7a-ocs-sysdir.patch" #269305
+       eapply_user
+       mv configure.{in,ac} || die
+       eautoreconf               # prevent maintainer mode later on
+}
+
+src_configure() {
+       econf --with-ncurses="${EPREFIX}"/usr
+}
+
+src_compile() {
+       emake CURSES_LIBS="$("$(tc-getPKG_CONFIG)" --libs ncurses)"
+       if use emacs; then
+               cd "${S}"/contrib/xcscope || die
+               elisp-compile *.el
+       fi
+}
+
+src_install() {
+       default
+
+       if use emacs; then
+               cd "${S}"/contrib/xcscope || die
+               elisp-install ${PN} *.el *.elc
+               elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+               dobin cscope-indexer
+       fi
+
+       cd "${S}"/contrib/webcscope || die
+       docinto webcscope
+       dodoc INSTALL TODO cgi-lib.pl cscope hilite.c
+       docinto webcscope/icons
+       dodoc icons/*.gif
+}
+
+pkg_postinst() {
+       use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+       use emacs && elisp-site-regen
+}

Reply via email to